<?xml version="1.0" encoding="UTF-8"?>
<project version="4">
  <component name="ArtifactsWorkspaceSettings">
    <artifacts-to-build>
      <artifact name="mytmall:war" />
    </artifacts-to-build>
  </component>
  <component name="AutoImportSettings">
    <option name="autoReloadType" value="SELECTIVE" />
  </component>
  <component name="ChangeListManager">
    <list default="true" id="97f23ff3-02b9-403c-a277-9c0b38cc4be5" name="Changes" comment="" />
    <option name="SHOW_DIALOG" value="false" />
    <option name="HIGHLIGHT_CONFLICTS" value="true" />
    <option name="HIGHLIGHT_NON_ACTIVE_CHANGELIST" value="false" />
    <option name="LAST_RESOLUTION" value="IGNORE" />
  </component>
  <component name="FileTemplateManagerImpl">
    <option name="RECENT_TEMPLATES">
      <list>
        <option value="Interface" />
        <option value="Jsp File" />
        <option value="Class" />
      </list>
    </option>
  </component>
  <component name="LogFilters">
    <option name="FILTER_ERRORS" value="false" />
    <option name="FILTER_WARNINGS" value="false" />
    <option name="FILTER_INFO" value="true" />
    <option name="FILTER_DEBUG" value="true" />
    <option name="CUSTOM_FILTER" />
  </component>
  <component name="ProblemsViewState">
    <option name="selectedTabId" value="ProjectErrors" />
  </component>
  <component name="ProjectColorInfo">{
  &quot;associatedIndex&quot;: 8
}</component>
  <component name="ProjectId" id="2qHozIck6ynCGgVGO6XOX9CBqk7" />
  <component name="ProjectViewState">
    <option name="hideEmptyMiddlePackages" value="true" />
    <option name="showLibraryContents" value="true" />
  </component>
  <component name="PropertiesComponent">{
  &quot;keyToString&quot;: {
    &quot;Application.MapperUtils.executor&quot;: &quot;Run&quot;,
    &quot;JUnit.CategoryTest.executor&quot;: &quot;Run&quot;,
    &quot;JUnit.CategoryTest.testInsert (1).executor&quot;: &quot;Run&quot;,
    &quot;JUnit.CategoryTest.testInsert.executor&quot;: &quot;Run&quot;,
    &quot;JUnit.CategoryTest.testSelectByConditional.executor&quot;: &quot;Run&quot;,
    &quot;JUnit.CategoryTest.testSelectByPrimaryKey.executor&quot;: &quot;Run&quot;,
    &quot;Maven. [org.apache.maven.plugins:maven-archetype-plugin:RELEASE:generate].executor&quot;: &quot;Run&quot;,
    &quot;Maven.mytmall [clean].executor&quot;: &quot;Run&quot;,
    &quot;Maven.mytmall [compile].executor&quot;: &quot;Run&quot;,
    &quot;Maven.mytmall [org.mybatis.generator:mybatis-generator-maven-plugin:1.4.2:generate].executor&quot;: &quot;Run&quot;,
    &quot;RunOnceActivity.ShowReadmeOnStart&quot;: &quot;true&quot;,
    &quot;Tomcat Server.Tomcat 9.0.97.executor&quot;: &quot;Run&quot;,
    &quot;kotlin-language-version-configured&quot;: &quot;true&quot;,
    &quot;last_opened_file_path&quot;: &quot;C:/Users/user/Desktop/mytmall/src/main/webapp/WEB-INF&quot;,
    &quot;node.js.detected.package.eslint&quot;: &quot;true&quot;,
    &quot;node.js.detected.package.tslint&quot;: &quot;true&quot;,
    &quot;node.js.selected.package.eslint&quot;: &quot;(autodetect)&quot;,
    &quot;node.js.selected.package.tslint&quot;: &quot;(autodetect)&quot;,
    &quot;nodejs_package_manager_path&quot;: &quot;npm&quot;,
    &quot;project.structure.last.edited&quot;: &quot;Modules&quot;,
    &quot;project.structure.proportion&quot;: &quot;0.0&quot;,
    &quot;project.structure.side.proportion&quot;: &quot;0.2&quot;,
    &quot;settings.editor.selected.configurable&quot;: &quot;File.Encoding&quot;,
    &quot;two.files.diff.last.used.file&quot;: &quot;C:/Users/user/IdeaProject/mytmall/src/test/java/com/csnf/CategoryTest.java&quot;,
    &quot;vue.rearranger.settings.migration&quot;: &quot;true&quot;
  }
}</component>
  <component name="RecentsManager">
    <key name="CopyFile.RECENT_KEYS">
      <recent name="C:\Users\user\Desktop\mytmall\src\main\webapp\WEB-INF" />
    </key>
    <key name="MoveFile.RECENT_KEYS">
      <recent name="C:\Users\user\Desktop\mytmall\src\main\webapp\WEB-INF" />
      <recent name="C:\Users\user\Desktop\mytmall\src\main\webapp" />
    </key>
  </component>
  <component name="RunManager" selected="Tomcat Server.Tomcat 9.0.97">
    <configuration name="MapperUtils" type="Application" factoryName="Application" temporary="true" nameIsGenerated="true">
      <option name="MAIN_CLASS_NAME" value="com.csnf.controller.MapperUtils" />
      <module name="mytmall" />
      <option name="PROGRAM_PARAMETERS" value="-Dfile.encoding = UTF-8" />
      <extension name="coverage">
        <pattern>
          <option name="PATTERN" value="com.csnf.controller.*" />
          <option name="ENABLED" value="true" />
        </pattern>
      </extension>
      <method v="2">
        <option name="Make" enabled="true" />
      </method>
    </configuration>
    <configuration name="CategoryTest.testInsert (1)" type="JUnit" factoryName="JUnit" temporary="true" nameIsGenerated="true">
      <module name="mytmall" />
      <extension name="coverage">
        <pattern>
          <option name="PATTERN" value="com.csnf.*" />
          <option name="ENABLED" value="true" />
        </pattern>
      </extension>
      <option name="PACKAGE_NAME" value="com.csnf" />
      <option name="MAIN_CLASS_NAME" value="com.csnf.CategoryTest" />
      <option name="METHOD_NAME" value="testInsert" />
      <option name="TEST_OBJECT" value="method" />
      <method v="2">
        <option name="Make" enabled="true" />
      </method>
    </configuration>
    <configuration name="CategoryTest.testInsert" type="JUnit" factoryName="JUnit" temporary="true" nameIsGenerated="true">
      <module name="mytmall" />
      <extension name="coverage">
        <pattern>
          <option name="PATTERN" value="com.csnf.*" />
          <option name="ENABLED" value="true" />
        </pattern>
      </extension>
      <option name="PACKAGE_NAME" value="com.csnf" />
      <option name="MAIN_CLASS_NAME" value="com.csnf.CategoryTest" />
      <option name="METHOD_NAME" value="testInsert" />
      <option name="TEST_OBJECT" value="method" />
      <option name="VM_PARAMETERS" value="-Dfile.encoding=UTF-8" />
      <method v="2">
        <option name="Make" enabled="true" />
      </method>
    </configuration>
    <configuration name="CategoryTest.testSelectByConditional" type="JUnit" factoryName="JUnit" temporary="true" nameIsGenerated="true">
      <module name="mytmall" />
      <extension name="coverage">
        <pattern>
          <option name="PATTERN" value="com.csnf.*" />
          <option name="ENABLED" value="true" />
        </pattern>
      </extension>
      <option name="PACKAGE_NAME" value="com.csnf" />
      <option name="MAIN_CLASS_NAME" value="com.csnf.CategoryTest" />
      <option name="METHOD_NAME" value="testSelectByConditional" />
      <option name="TEST_OBJECT" value="method" />
      <method v="2">
        <option name="Make" enabled="true" />
      </method>
    </configuration>
    <configuration name="CategoryTest.testSelectByPrimaryKey" type="JUnit" factoryName="JUnit" temporary="true" nameIsGenerated="true">
      <module name="mytmall" />
      <extension name="coverage">
        <pattern>
          <option name="PATTERN" value="com.csnf.*" />
          <option name="ENABLED" value="true" />
        </pattern>
      </extension>
      <option name="PACKAGE_NAME" value="com.csnf" />
      <option name="MAIN_CLASS_NAME" value="com.csnf.CategoryTest" />
      <option name="METHOD_NAME" value="testSelectByPrimaryKey" />
      <option name="TEST_OBJECT" value="method" />
      <method v="2">
        <option name="Make" enabled="true" />
      </method>
    </configuration>
    <configuration name="Tomcat 9.0.97" type="#com.intellij.j2ee.web.tomcat.TomcatRunConfigurationFactory" factoryName="Local" APPLICATION_SERVER_NAME="Tomcat 9.0.97" ALTERNATIVE_JRE_ENABLED="false" nameIsGenerated="true">
      <option name="UPDATING_POLICY" value="restart-server" />
      <deployment>
        <artifact name="mytmall:war">
          <settings>
            <option name="CONTEXT_PATH" value="/mytmall" />
          </settings>
        </artifact>
      </deployment>
      <server-settings>
        <option name="BASE_DIRECTORY_NAME" value="abe624ee-5179-4c7f-a2d4-00e2eadb4deb" />
      </server-settings>
      <predefined_log_file enabled="true" id="Tomcat" />
      <predefined_log_file enabled="true" id="Tomcat Catalina" />
      <predefined_log_file id="Tomcat Manager" />
      <predefined_log_file id="Tomcat Host Manager" />
      <predefined_log_file id="Tomcat Localhost Access" />
      <RunnerSettings RunnerId="Debug">
        <option name="DEBUG_PORT" value="53917" />
      </RunnerSettings>
      <ConfigurationWrapper VM_VAR="JAVA_OPTS" RunnerId="Cover">
        <option name="USE_ENV_VARIABLES" value="true" />
        <STARTUP>
          <option name="USE_DEFAULT" value="true" />
          <option name="SCRIPT" value="" />
          <option name="VM_PARAMETERS" value="" />
          <option name="PROGRAM_PARAMETERS" value="" />
        </STARTUP>
        <SHUTDOWN>
          <option name="USE_DEFAULT" value="true" />
          <option name="SCRIPT" value="" />
          <option name="VM_PARAMETERS" value="" />
          <option name="PROGRAM_PARAMETERS" value="" />
        </SHUTDOWN>
      </ConfigurationWrapper>
      <ConfigurationWrapper VM_VAR="JAVA_OPTS" RunnerId="Debug">
        <option name="USE_ENV_VARIABLES" value="true" />
        <STARTUP>
          <option name="USE_DEFAULT" value="true" />
          <option name="SCRIPT" value="" />
          <option name="VM_PARAMETERS" value="" />
          <option name="PROGRAM_PARAMETERS" value="" />
        </STARTUP>
        <SHUTDOWN>
          <option name="USE_DEFAULT" value="true" />
          <option name="SCRIPT" value="" />
          <option name="VM_PARAMETERS" value="" />
          <option name="PROGRAM_PARAMETERS" value="" />
        </SHUTDOWN>
      </ConfigurationWrapper>
      <ConfigurationWrapper VM_VAR="JAVA_OPTS" RunnerId="Profile">
        <option name="USE_ENV_VARIABLES" value="true" />
        <STARTUP>
          <option name="USE_DEFAULT" value="true" />
          <option name="SCRIPT" value="" />
          <option name="VM_PARAMETERS" value="" />
          <option name="PROGRAM_PARAMETERS" value="" />
        </STARTUP>
        <SHUTDOWN>
          <option name="USE_DEFAULT" value="true" />
          <option name="SCRIPT" value="" />
          <option name="VM_PARAMETERS" value="" />
          <option name="PROGRAM_PARAMETERS" value="" />
        </SHUTDOWN>
      </ConfigurationWrapper>
      <ConfigurationWrapper VM_VAR="JAVA_OPTS" RunnerId="Run">
        <option name="USE_ENV_VARIABLES" value="true" />
        <STARTUP>
          <option name="USE_DEFAULT" value="true" />
          <option name="SCRIPT" value="" />
          <option name="VM_PARAMETERS" value="" />
          <option name="PROGRAM_PARAMETERS" value="" />
        </STARTUP>
        <SHUTDOWN>
          <option name="USE_DEFAULT" value="true" />
          <option name="SCRIPT" value="" />
          <option name="VM_PARAMETERS" value="" />
          <option name="PROGRAM_PARAMETERS" value="" />
        </SHUTDOWN>
      </ConfigurationWrapper>
      <method v="2">
        <option name="Make" enabled="true" />
        <option name="BuildArtifacts" enabled="true">
          <artifact name="mytmall:war" />
        </option>
      </method>
    </configuration>
    <list>
      <item itemvalue="Application.MapperUtils" />
      <item itemvalue="JUnit.CategoryTest.testSelectByConditional" />
      <item itemvalue="JUnit.CategoryTest.testInsert (1)" />
      <item itemvalue="JUnit.CategoryTest.testInsert" />
      <item itemvalue="JUnit.CategoryTest.testSelectByPrimaryKey" />
      <item itemvalue="Tomcat Server.Tomcat 9.0.97" />
    </list>
    <recent_temporary>
      <list>
        <item itemvalue="JUnit.CategoryTest.testSelectByConditional" />
        <item itemvalue="JUnit.CategoryTest.testSelectByPrimaryKey" />
        <item itemvalue="JUnit.CategoryTest.testInsert (1)" />
        <item itemvalue="JUnit.CategoryTest.testInsert" />
        <item itemvalue="Application.MapperUtils" />
      </list>
    </recent_temporary>
  </component>
  <component name="SharedIndexes">
    <attachedChunks>
      <set>
        <option value="bundled-jdk-9823dce3aa75-fdfe4dae3a2d-intellij.indexing.shared.core-IU-243.21565.193" />
        <option value="bundled-js-predefined-d6986cc7102b-e768b9ed790e-JavaScript-IU-243.21565.193" />
      </set>
    </attachedChunks>
  </component>
  <component name="SpellCheckerSettings" RuntimeDictionaries="0" Folders="0" CustomDictionaries="0" DefaultDictionary="application-level" UseSingleDictionary="true" transferred="true" />
  <component name="TaskManager">
    <task active="true" id="Default" summary="Default task">
      <changelist id="97f23ff3-02b9-403c-a277-9c0b38cc4be5" name="Changes" comment="" />
      <created>1734329126769</created>
      <option name="number" value="Default" />
      <option name="presentableId" value="Default" />
      <updated>1734329126769</updated>
      <workItem from="1734329127951" duration="8404000" />
      <workItem from="1734338173544" duration="3023000" />
      <workItem from="1734401378592" duration="590000" />
      <workItem from="1734480735888" duration="256000" />
      <workItem from="1734481169218" duration="11599000" />
      <workItem from="1734566934397" duration="8546000" />
      <workItem from="1734588854204" duration="539000" />
      <workItem from="1734600454983" duration="306000" />
      <workItem from="1734674525821" duration="2356000" />
      <workItem from="1734678470146" duration="1764000" />
    </task>
    <servers />
  </component>
  <component name="TypeScriptGeneratedFilesManager">
    <option name="version" value="3" />
  </component>
  <component name="XSLT-Support.FileAssociations.UIState">
    <expand />
    <select />
  </component>
</project>